
Redmine - Defect #6110

MailHandler should allow updating Issue Priority and Custom fields

2010-08-11 19:43 - Jan from Planio www.plan.io

Status: Closed Start date: 2010-08-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

MailHandler#receive_issue_reply does not update issue priority and custom fields. Those attributes can be given in the mail body if

an issue is created (as this uses MailHandler#receive_issue) but not on update.

Related issues:

Related to Redmine - Patch #2702: mail_handler_update: added ability to updat... Closed 2009-02-09

Associated revisions

Revision 4394 - 2010-11-12 12:34 - Jean-Philippe Lang

Makes MailHandler accept all issue attributes and custom fields that can be set/updated (#4071, #4807, #5622, #6110).

History

#1 - 2010-11-12 13:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Fixed in r4394. Same rules apply as when updating an issue through the UI.

#2 - 2016-12-26 04:40 - Go MAEDA

- Related to Patch #2702: mail_handler_update: added ability to update some fields / Import custom fields values for issue updates added
